BINARY_FILES=known-data.bin unknown-data.bin

all: $(BINARY_FILES)

%.bin: %.txt Makefile
	racket ../../../racket/preserves/preserves/tool.rkt --atob --no-annotations < $< > $@.tmp || (rm -f $@.tmp; false)
	mv $@.tmp $@

clean:
	rm -f $(BINARY_FILES)
